Skip to main content
GET
/
api
/
v1
/
logs
/
executions
/
{request_id}
Get a single execution log
curl --request GET \
  --url https://api.dualship.run/api/v1/logs/executions/{request_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Workspace-Id: <x-workspace-id>'
import requests

url = "https://api.dualship.run/api/v1/logs/executions/{request_id}"

headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.dualship.run/api/v1/logs/executions/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "country": "<string>",
  "created_at": "<string>",
  "error_message": "<string>",
  "flow_id": "<string>",
  "flow_slug": "<string>",
  "flow_version": 123,
  "id": "<string>",
  "ip_address": "<string>",
  "latency_ms": 123,
  "method": "<string>",
  "path": "<string>",
  "request_body": "<string>",
  "request_headers": {},
  "request_id": "<string>",
  "request_query": {},
  "response_body": "<string>",
  "response_headers": {},
  "response_status": 123,
  "success": true,
  "user_agent": "<string>"
}
{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}
{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}
{
"code": "NOT_FOUND",
"error": "resource not found"
}
{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Headers

X-Workspace-Id
string
required

Workspace ID

Path Parameters

request_id
string
required

Request ID

Query Parameters

project_id
string

Project ID (uses default if not specified)

Response

Execution log details

country
string
created_at
string
error_message
string
flow_id
string
flow_slug
string
flow_version
integer
id
string
ip_address
string
latency_ms
integer
method
string
path
string
request_body
string
request_headers
object
request_id
string
request_query
object
response_body
string
response_headers
object
response_status
integer
success
boolean
user_agent
string